## org.exist.soap
Class AdminServiceLocator

    java.lang.Object
      org.apache.axis.client.Service
          org.exist.soap.AdminServiceLocator

All Implemented Interfaces:
  AdminService, javax.naming.Referenceable, java.io.Serializable, javax.xml.rpc.Service

public class AdminServiceLocator
extends org.apache.axis.client.Service
implements AdminService

See Also:
  Serialized Form

Constructor Summary
`AdminServiceLocator()`
`AdminServiceLocator(org.apache.axis.EngineConfiguration config)`
`AdminServiceLocator(java.lang.String wsdlLoc, javax.xml.namespace.QName sName)`

Method Summary
`Admin` `getAdmin()`
`Admin` `getAdmin(java.net.URL portAddress)`
`java.lang.String` `getAdminAddress()`
`java.lang.String` `getAdminWSDDServiceName()`
`java.rmi.Remote` `getPort(java.lang.Class serviceEndpointInterface)` For the given interface, get the stub implementation.
`java.rmi.Remote` `getPort(javax.xml.namespace.QName portName, java.lang.Class serviceEndpointInterface)` For the given interface, get the stub implementation.
`java.util.Iterator` `getPorts()`
`javax.xml.namespace.QName` `getServiceName()`
`void` `setAdminEndpointAddress(java.lang.String address)`
`void` `setAdminWSDDServiceName(java.lang.String name)`
`void` `setEndpointAddress(javax.xml.namespace.QName portName, java.lang.String address)` Set the endpoint address for the specified port name.
`void` `setEndpointAddress(java.lang.String portName, java.lang.String address)` Set the endpoint address for the specified port name.

Methods inherited from class org.apache.axis.client.Service
`createCall, createCall, createCall, createCall, getCacheWSDL, getCall, getCalls, getEngine, getHandlerRegistry, getMaintainSession, getPort, getReference, getTypeMappingRegistry, getWSDLDocumentLocation, getWSDLParser, setCacheWSDL, setEngine, setEngineConfiguration, setMaintainSession, setTypeMappingRegistry, setTypeMappingVersion`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.xml.rpc.Service
`createCall, createCall, createCall, createCall, getCalls, getHandlerRegistry, getTypeMappingRegistry, getWSDLDocumentLocation`

Constructor Detail

### AdminServiceLocator

    public AdminServiceLocator()

### AdminServiceLocator

    public AdminServiceLocator(org.apache.axis.EngineConfiguration config)

### AdminServiceLocator

    public AdminServiceLocator(java.lang.String wsdlLoc,
                               javax.xml.namespace.QName sName)
                        throws javax.xml.rpc.ServiceException

Method Detail

### getAdminAddress

    public java.lang.String getAdminAddress()

  Specified by:
    `getAdminAddress` in interface `AdminService`

### getAdminWSDDServiceName

    public java.lang.String getAdminWSDDServiceName()

### setAdminWSDDServiceName

    public void setAdminWSDDServiceName(java.lang.String name)

### getAdmin

    public Admin getAdmin()
                   throws javax.xml.rpc.ServiceException

  Specified by:
    `getAdmin` in interface `AdminService`
  Throws:
    `javax.xml.rpc.ServiceException`

### getAdmin

    public Admin getAdmin(java.net.URL portAddress)
                   throws javax.xml.rpc.ServiceException

  Specified by:
    `getAdmin` in interface `AdminService`
  Throws:
    `javax.xml.rpc.ServiceException`

### setAdminEndpointAddress

    public void setAdminEndpointAddress(java.lang.String address)

### getPort

    public java.rmi.Remote getPort(java.lang.Class serviceEndpointInterface)
                            throws javax.xml.rpc.ServiceException

  For the given interface, get the stub implementation. If this service has no port for the given interface, then ServiceException is thrown.

  Specified by:
    `getPort` in interface `javax.xml.rpc.Service`
  Throws:
    `javax.xml.rpc.ServiceException`

### getPort

    public java.rmi.Remote getPort(javax.xml.namespace.QName portName,
                                   java.lang.Class serviceEndpointInterface)
                            throws javax.xml.rpc.ServiceException

  For the given interface, get the stub implementation. If this service has no port for the given interface, then ServiceException is thrown.

  Specified by:
    `getPort` in interface `javax.xml.rpc.Service`
  Throws:
    `javax.xml.rpc.ServiceException`

### getServiceName

    public javax.xml.namespace.QName getServiceName()

  Specified by:
    `getServiceName` in interface `javax.xml.rpc.Service`

### getPorts

    public java.util.Iterator getPorts()

  Specified by:
    `getPorts` in interface `javax.xml.rpc.Service`

### setEndpointAddress

    public void setEndpointAddress(java.lang.String portName,
                                   java.lang.String address)
                            throws javax.xml.rpc.ServiceException

  Set the endpoint address for the specified port name.

  Throws:
    `javax.xml.rpc.ServiceException`

### setEndpointAddress

    public void setEndpointAddress(javax.xml.namespace.QName portName,
                                   java.lang.String address)
                            throws javax.xml.rpc.ServiceException

  Set the endpoint address for the specified port name.

  Throws:
    `javax.xml.rpc.ServiceException`

Copyright (C) Wolfgang Meier. All rights reserved.